# Protocol Oral History Project website

A project of the [Media Economies Design Lab](https://www.colorado.edu/lab/medlab/) at the University of Colorado Boulder, directed by Nathan Schneider. Site design by [Drew Hornbein](https://www.dhornbein.com/).

Developed in Hugo.

## Usage

Navigate to the project directory and:

```
npm install
```

Then, to serve the site locally:

```
hugo server
```

## Articles

see `/archetypes/article.md` for the article template. You can create a new article with:

```
hugo new articles/2023-01-01-my-new-article.md
```
This will create a new article in the `content/articles` directory with the current date and the title you provide. You can then edit the file to add your content.

### Headshots

Optionally you can add a headshot photo to your article. To do this:

1. Place your image file in the `/assets/headshots/` directory
2. Add a `headshot` field to your article's front matter with just the filename. For example:

```yaml
headshot: "firstname_lastname.jpg"
```

*Note: Name is case sensitive, might as well use lowercase letters and hyphens in your filename.*

### Narrator links

You can add links to an article that relate to the narrator. To do this, add a `links` field to the front matter of the article. The value should be a list of objects, each with a `text` and `url` field. For example:

```
links:
  - text: "My Website"
    url: "https://example.com"
  - text: "My Twitter"
    url: "https://twitter.com/example"
```
This will include the links in the article page. The links will be displayed as a list with the text as the link text and the URL as the link target.

### Open Graph Image

You can add Open Graph image (for social media sharing) to an article. To do this, add a `ogImage` field to the front matter of the article. The value should be the path to the image file. For example:

```yaml
ogImage: "/images/my-image.jpg"
```

*Note: The image should be at least 1200x630 pixels for best results. Make sure to place the image in `/static/images/` directory so it can be served correctly. The path should be relative to the static directory.*
